Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82348 - We don't ship Exim
Summary: We don't ship Exim
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Preston Brown
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-21 15:28 UTC by David Woodhouse
Modified: 2014-03-17 02:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-03-02 18:42:44 UTC


Attachments (Terms of Use)

Description David Woodhouse 2003-01-21 15:28:50 UTC
<mgalgoci> dwmw2: how about exim ?
<mgalgoci> i would not mind seeing it in 8.1
<dwmw2> I'd be more than happy to do that
<dwmw2> I build Exim RPMS for every box I run anyway.
<mgalgoci> pester the distro folks please
<mjc> dwmw2: i'd be happy too ;)
<dwmw2> file a RFE bug
<mgalgoci> dwmw2: I think you should file the RFE

Comment 1 Mark J. Cox 2003-01-21 15:34:17 UTC
Note that exim was part of Powertools (6.2, 7, 7.1) and was shipped as part of 
European 7.2-binge.  Exim has a good security record.



Comment 2 Bill Nottingham 2003-01-21 17:18:17 UTC
At this point, I don't think adding a third MTA to the distribution is really
worth the effort.

We could drop postfix for exim if people are really motivated enough.

Comment 3 David Woodhouse 2003-01-21 17:20:22 UTC
That gets my vote, certainly :)

Do we have any stats on how many people have Exim/postfix/etc installed from RHN?

Does Debian still ship with Exim by default on grounds of simplicity and security?

Comment 4 Dax Kelson 2003-01-22 17:32:01 UTC
Do not drop postfix.

that is all.

Comment 5 Chris Ricker 2003-01-22 19:01:12 UTC
If the options are postfix or exim, I'd definitely vote postfix. It's as easy to
configure as exim, and has a better security record / more readable and
maintainable code. Feature-wise, they each can do some things the other can't,
so that winds up being a wash....

Comment 6 Dax Kelson 2003-01-22 21:21:35 UTC
If you want Exim, add it via the 'alternatives' method.

Comment 7 Bill Nottingham 2005-03-02 18:42:44 UTC
Not to open a whole new can of works, but it was added for FC2.
Closing as such.

Comment 8 David Woodhouse 2005-03-02 23:13:53 UTC
And indeed it's in RHEL4, so will be present and supported for years
to come.

Regarding the final sentence of comment #5, if there's something you
do with Postfix which you believe Exim can't, please report them and
we'll see about fixing the documentation and/or sample configuration
library.


Note You need to log in before you can comment on or make changes to this bug.